# Created by pyp2rpm-3.0.1
%global pypi_name ipykernel

Name:           python-%{pypi_name}
Version:        4.3.1
Release:        1%{?dist}
Summary:        IPython Kernel for Jupyter

License:        BSD
URL:            http://ipython.org
Source0:        https://pypi.python.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

%description
# IPython Kernel for Jupyter

This package provides the IPython kernel for
Jupyter.

## Installation from source

1. `git clone`
2. `cd ipykernel`
3. `pip
install -e .`

After that, all normal `ipython` commands will use this newly-
installed version of the kernel.

%package -n     python2-%{pypi_name}
Summary:        IPython Kernel for Jupyter
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-ipython >= 4.0.0
Requires:       python-traitlets
Requires:       python-jupyter-client
Requires:       python-tornado >= 4.0
%description -n python2-%{pypi_name}
# IPython Kernel for Jupyter

This package provides the IPython kernel for
Jupyter.

## Installation from source

1. `git clone`
2. `cd ipykernel`
3. `pip
install -e .`

After that, all normal `ipython` commands will use this newly-
installed version of the kernel.

%package -n     python3-%{pypi_name}
Summary:        IPython Kernel for Jupyter
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-ipython >= 4.0.0
Requires:       python3-traitlets
Requires:       python3-jupyter-client
Requires:       python3-tornado >= 4.0
%description -n python3-%{pypi_name}
# IPython Kernel for Jupyter

This package provides the IPython kernel for
Jupyter.

## Installation from source

1. `git clone`
2. `cd ipykernel`
3. `pip
install -e .`

After that, all normal `ipython` commands will use this newly-
installed version of the kernel.

%package -n python-%{pypi_name}-doc
Summary:        ipykernel documentation
%description -n python-%{pypi_name}-doc
Documentation for ipykernel

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build
# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%doc README.md COPYING.md
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name} 
%doc README.md COPYING.md
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name}-doc
%doc html 

%changelog
* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.3.1-1
- Initial package.
